TSLSA-2002-0046 - sudo

From: Trustix Secure Linux Advisor (tsl@trustix.com)
Date: 04/29/02


Date: Mon, 29 Apr 2002 16:17:29 +0200
To: bugtraq@securityfocus.com
From: tsl@trustix.com (Trustix Secure Linux Advisor)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Trustix Secure Linux Security Advisory #2002-0046

Package name: sudo
Summary: Minor security issue
Date: 2002-04-29
Affected versions: TSL 1.1, 1.2, 1.5

- --------------------------------------------------------------------------

Problem description:
  There was a problem in the old sudo package involving a heap overflow. In
  general heap overflows are difficult to exploit, but as this one potentially
  could lead to root-access, it should be considered a bit more critical.
  The issue is fixed upstream, and we now provide sudo version 1.6.6

Action:
  We recommend that all systems with this package installed are upgraded.
  Please note that if you do not need the functionality provided by this
  package, you may want to remove it from your system.

Location:
  All TSL updates are available from
  <URI:http://www.trustix.net/pub/Trustix/updates/>
  <URI:ftp://ftp.trustix.net/pub/Trustix/updates/>

Automatic updates:
  Users of the SWUP tool can enjoy having updates automatically
  installed using 'swup --upgrade'.

  Get SWUP from:
  <URI:ftp://ftp.trustix.net/pub/Trustix/software/swup/>

Public testing:
  These packages have been available for public testing for some time.
  If you want to contribute by testing the various packages in the
  testing tree, please feel free to share your findings on the
  tsl-discuss mailinglist.
  The testing tree is located at
  <URI:http://www.trustix.net/pub/Trustix/testing/>
  <URI:ftp://ftp.trustix.net/pub/Trustix/testing/>
  

Questions?
  Check out our mailing lists:
  <URI:http://www.trustix.net/support/>

Verification:
  This advisory along with all TSL packages are signed with the TSL sign key.
  This key is available from:
  <URI:http://www.trustix.net/TSL-GPG-KEY>

  The advisory itself is available from the errata pages at
  <URI:http://www.trustix.net/errata/trustix-1.2/> and
  <URI:http://www.trustix.net/errata/trustix-1.5/>
  or directly at
  <URI:http://www.trustix.net/errata/misc/2002/TSL-2002-0046-sudo.asc.txt>

MD5sums of the packages:
- --------------------------------------------------------------------------
b7e0bb1ae875848d1083f212db8aaa4c ./1.5/SRPMS/sudo-1.6.6-1tr.src.rpm
0bb2e55703b06a958ff2016c8f639636 ./1.5/RPMS/sudo-1.6.6-1tr.i586.rpm
b7e0bb1ae875848d1083f212db8aaa4c ./1.2/SRPMS/sudo-1.6.6-1tr.src.rpm
222a5bf82392a838641b50820fb645db ./1.2/RPMS/sudo-1.6.6-1tr.i586.rpm
b7e0bb1ae875848d1083f212db8aaa4c ./1.1/SRPMS/sudo-1.6.6-1tr.src.rpm
ccfe0310894a377d49b04affa69b7cc8 ./1.1/RPMS/sudo-1.6.6-1tr.i586.rpm
- --------------------------------------------------------------------------

Trustix Security Team

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8zTj8wRTcg4BxxS0RAuteAJ40lprTbaWbiJ6Vc74SKGjSQ8g/KwCeP3vE
GXZTsPB8VGxa2ZoGdWPbvTk=
=BTRX
-----END PGP SIGNATURE-----



Relevant Pages

  • TSLSA-2003-0029 - postfix
    ... Postfix is an alternative to the sendmail mailer daemon. ... All TSL updates are available from ... About Trustix Secure Linux: ... These packages have been available for public testing for some time. ...
    (Bugtraq)
  • TSLSA-2002-0064 - util-linux
    ... of TSL suffers from a locally exploitable file locking problem. ... All TSL updates are available from ... Users of the SWUP tool can enjoy having updates automatically ... These packages have been available for public testing for some time. ...
    (Bugtraq)
  • TSL-2002-0058 - apache/mod_ssl
    ... Affected versions: TSL 1.1, 1.2, 1.5 ... upgrade the package. ... Users of the SWUP tool can enjoy having updates automatically ... These packages have been available for public testing for some time. ...
    (Bugtraq)
  • TSLSA-2003-0001 - openssl
    ... Affected versions: TSL 1.2, 1.5, 2.0 ... According to the openssl developers there are four security issues ... About Tawie Server Linux: ... These packages have been available for public testing for some time. ...
    (Bugtraq)
  • TSLSA-2002-0039 - openssh
    ... Affected versions: TSL 1.1, 1.2, 1.5 ... existing user account has not been proven but is not considered impossible. ... Users of the SWUP tool can enjoy having updates automatically ... These packages have been available for public testing for some time. ...
    (Bugtraq)